package com.mybatis.util;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;
/**
 * Created by lzh on 16-6-13.
 */
public class Base {
    private static Properties prop;
    private static InputStream in;
//    private static Logger
    static {
        prop = new Properties();
        in = Base.class.getResourceAsStream("/mybatis.properties");
        try {
            prop.load(in);
        } catch (IOException e) {
            e.printStackTrace();
        }finally {
            try {
                in.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    public static String getMapping(){
        return prop.getProperty("mapping").trim();
    }

    public static String getMapper(){
        return prop.getProperty("mapper").trim();
    }
    public static void main(String[] args) {
        System.out.println(Base.getMapping());
    }
}
